using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainWindow()

        /// <summary>
        /// 
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.horizontalRadioButton.Checked += radioButton_Checked;
            this.verticalRadioButton.Checked   += radioButton_Checked;

            this.verticalRadioButton.IsChecked = true;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region  ư üũ óϱ - radioButton_Checked(sender, e)

        /// <summary>
        ///  ư üũ óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void radioButton_Checked(object sender, RoutedEventArgs e)
        {
            if(sender is RadioButton radioButton && this.variableSizedWrapGrid != null)
            {
                string orientationName = radioButton.Tag.ToString();

                switch (orientationName)
                {
                    case "Horizontal" : this.variableSizedWrapGrid.Orientation = Orientation.Horizontal; break;
                    case "Vertical"   : this.variableSizedWrapGrid.Orientation = Orientation.Vertical;   break;
                }
            }
        }

        #endregion
    }
}